/**
 * Base.DropZone 1.0
 *
 * Requiere
 *     Base 1.0
 *     Ver: https://www.cssscript.com/pure-js-dual-list-box-component/
 */
$(function() {

    $.extend(Base, {
        DropZone : {

            create: function (selector) {

              $(selector).dropzone({
                      success : function(file, response) {
                          alert('Fichero cargado en dropZone');
                         console.log("Fichero cargado en dropZone", file);
                      }
                  });
            },


        }
    });

    $.fn.QxDropZone = function () {

        var dropZone = this;

        return Base.DropZone._qxDropZone(dropZone);
    }
});